Bug 22378 - Better AP MAC detection
Summary: Better AP MAC detection
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-19 16:29 UTC by Bastien Nocera
Modified: 2010-01-29 05:18 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
0001-Use-NetworkManager-to-export-the-AP-MAC-address.patch (5.96 KB, patch)
2009-06-23 06:40 UTC, Bastien Nocera
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2009-06-19 16:29:51 UTC
1. Add a RequiresWifiNetwork type to the provider
2. Add API to the connectivity object to get the BSSID [1]
3. Pass the BSSID to the backends for them to use (plazes, localnet and skyhook)

This would allow better error reporting (as in, we know it wouldn't work on wired LANs).

For 3., we might also be able to pass lists of known BSSIDs, which might help with detection (or at least allow detecting location using WLAN data even though we're connected via a WWAN).

Comments?

[1]: This is easy with NetworkManager, as seen in nm-tool.
Comment 1 Bastien Nocera 2009-06-20 15:12:24 UTC
s/BSSID/AP MAC/
Comment 2 Bastien Nocera 2009-06-23 06:40:13 UTC
Created attachment 27050 [details] [review]
0001-Use-NetworkManager-to-export-the-AP-MAC-address.patch
Comment 3 Ross Burton 2009-06-24 07:07:25 UTC
Bastien: as discussed on chat change the BSSID logic and I think it's good for committing.
Comment 4 Keith Preston 2009-08-17 09:03:11 UTC
Looks good to me, I have pushed it into the master branch, Thanks for the patch
Comment 5 Bastien Nocera 2009-08-20 03:52:24 UTC
Forgot one detail, the code needs a slight change to use the currently associated AP MAC instead of just the strongest one (or the strongest of the associated AP signal, if there's multiple ones).
Comment 6 Pierre-Luc Beaudoin 2009-08-20 11:49:09 UTC
(In reply to comment #5)
> Forgot one detail, the code needs a slight change to use the currently
> associated AP MAC instead of just the strongest one.

I think using the strongest one is a reasonable choice.  You might be get better location results on that.
Comment 7 Bastien Nocera 2010-01-29 05:18:20 UTC
Fine then. Closing as the code already does that.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.